summaryrefslogtreecommitdiff
path: root/resources/scripts/update/module/coreboot
diff options
context:
space:
mode:
Diffstat (limited to 'resources/scripts/update/module/coreboot')
-rwxr-xr-xresources/scripts/update/module/coreboot5
1 files changed, 3 insertions, 2 deletions
diff --git a/resources/scripts/update/module/coreboot b/resources/scripts/update/module/coreboot
index 75b61a6f..2e78636b 100755
--- a/resources/scripts/update/module/coreboot
+++ b/resources/scripts/update/module/coreboot
@@ -1,9 +1,10 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
# helper script: download coreboot
#
# Copyright (C) 2014-2016,2020,2021,2023 Leah Rowe <info@minifree.org>
# Copyright (C) 2022 Alper Nebi Yasak <alpernebiyasak@gmail.com>
+# Copyright (C) 2022 Ferass El Hafidi <vitali64pmemail@protonmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -86,7 +87,7 @@ fetch_coreboot_config()
check_config_for_board "${_board}" || return 1
# This is to override $cbrevision and $cbtree
- source "${cbcfgsdir}/${_board}/board.cfg" || exit 1
+ . "${cbcfgsdir}/${_board}/board.cfg" || exit 1
if [ "${_board}" != "${cbtree}" ]; then
_board="${cbtree}"